mkdir -p './dpkg/dpkg.cfg.d'
mkdir -p './fail2ban/fail2ban.d'
mkdir -p './gtk-2.0/x86_64-pc-linux-gnu'
-mkdir -p './lvm/cache'
mkdir -p './pango/x86_64-pc-linux-gnu'
mkdir -p './php/apache2-php5.6/ext'
mkdir -p './php/apache2-php5.6/ext-active'
maybe chmod 0644 'alternatives/README'
maybe chgrp 'amavis' 'amavisd.conf'
maybe chmod 0640 'amavisd.conf'
+maybe chmod 0644 'anacrontab'
maybe chmod 0755 'apache2'
maybe chmod 0644 'apache2/httpd.conf'
maybe chmod 0644 'apache2/info_users_passwd'
maybe chmod 0644 'conf.d/busybox-watchdog'
maybe chmod 0644 'conf.d/clamd'
maybe chmod 0644 'conf.d/consolefont'
+maybe chmod 0644 'conf.d/cronie'
maybe chmod 0644 'conf.d/crypto-loop'
maybe chmod 0644 'conf.d/devfs'
maybe chmod 0644 'conf.d/device-mapper'
maybe chmod 0644 'conf.d/quota'
maybe chmod 0644 'conf.d/rpcbind'
maybe chmod 0644 'conf.d/rsyncd'
+maybe chmod 0644 'conf.d/rsyslog'
maybe chmod 0644 'conf.d/salt'
maybe chmod 0644 'conf.d/samba'
maybe chmod 0644 'conf.d/saslauthd'
maybe chmod 0755 'config-archive/etc/cron.daily/logrotate.cron'
maybe chmod 0755 'config-archive/etc/cron.daily/logrotate.cron.dist.new'
maybe chmod 0755 'config-archive/etc/cron.daily/logrotate.dist.new'
+maybe chmod 0644 'config-archive/etc/cron.deny'
+maybe chmod 0644 'config-archive/etc/cron.deny.dist'
+maybe chmod 0644 'config-archive/etc/crontab'
+maybe chmod 0644 'config-archive/etc/crontab.dist'
maybe chmod 0755 'config-archive/etc/cups'
maybe chmod 0640 'config-archive/etc/cups/cupsd.conf'
maybe chmod 0640 'config-archive/etc/cups/cupsd.conf.default'
maybe chgrp 'mail' 'courier/authlib/authsqliterc.dist'
maybe chmod 0660 'courier/authlib/authsqliterc.dist'
maybe chmod 0755 'cron.d'
-maybe chmod 0644 'cron.d/.keep_sys-process_vixie-cron-0'
+maybe chmod 0644 'cron.d/.keep_sys-process_cronie-0'
maybe chmod 0644 'cron.d/sysstat'
maybe chmod 0750 'cron.daily'
maybe chmod 0644 'cron.daily/.keep_sys-process_cronbase-0'
maybe chmod 0644 'cron.deny'
maybe chmod 0750 'cron.hourly'
maybe chmod 0644 'cron.hourly/.keep_sys-process_cronbase-0'
+maybe chmod 0750 'cron.hourly/0anacron'
maybe chmod 0755 'cron.hourly/sysstat'
maybe chmod 0750 'cron.monthly'
maybe chmod 0644 'cron.monthly/.keep_sys-process_cronbase-0'
maybe chmod 0755 'init.d/courier-imapd-ssl'
maybe chmod 0755 'init.d/courier-pop3d'
maybe chmod 0755 'init.d/courier-pop3d-ssl'
+maybe chmod 0755 'init.d/cronie'
maybe chmod 0755 'init.d/cups-browsed'
maybe chmod 0755 'init.d/cupsd'
maybe chmod 0755 'init.d/dbus'
maybe chmod 0755 'init.d/rpc.rquotad'
maybe chmod 0755 'init.d/rpcbind'
maybe chmod 0755 'init.d/rsyncd'
+maybe chmod 0755 'init.d/rsyslog'
maybe chmod 0755 'init.d/s6-svscan'
maybe chmod 0755 'init.d/samba'
maybe chmod 0755 'init.d/saslauthd'
maybe chmod 0755 'init.d/ulogd'
maybe chmod 0755 'init.d/unbound'
maybe chmod 0755 'init.d/urandom'
-maybe chmod 0755 'init.d/vixie-cron'
maybe chmod 0644 'inittab'
maybe chmod 0644 'inputrc'
maybe chmod 0755 'iproute2'
maybe chmod 0644 'logrotate.d/named'
maybe chmod 0644 'logrotate.d/openrc'
maybe chmod 0644 'logrotate.d/rsyncd'
+maybe chmod 0644 'logrotate.d/rsyslog'
maybe chmod 0644 'logrotate.d/syslog-ng'
maybe chmod 0644 'logrotate.d/ulogd'
maybe chmod 0755 'logwatch'
maybe chmod 0700 'lvm/backup'
maybe chmod 0600 'lvm/backup/vg00'
maybe chmod 0700 'lvm/cache'
+maybe chmod 0600 'lvm/cache/.cache'
maybe chmod 0644 'lvm/lvm.conf'
maybe chmod 0755 'lvm/profile'
maybe chmod 0444 'lvm/profile/command_profile_template.profile'
maybe chmod 0644 'pam.d/chgpasswd'
maybe chmod 0644 'pam.d/chpasswd'
maybe chmod 0644 'pam.d/chsh'
-maybe chmod 0644 'pam.d/cron'
+maybe chmod 0644 'pam.d/crond'
maybe chmod 0644 'pam.d/cups'
maybe chmod 0644 'pam.d/cvs'
maybe chmod 0644 'pam.d/ftp'
maybe chmod 0755 'rmt'
maybe chmod 0644 'rpc'
maybe chmod 0644 'rsyncd.conf'
+maybe chmod 0644 'rsyslog.conf'
+maybe chmod 0755 'rsyslog.d'
+maybe chmod 0644 'rsyslog.d/.keep_app-admin_rsyslog-0'
+maybe chmod 0644 'rsyslog.d/50-default.conf'
maybe chmod 0755 'runlevels'
maybe chmod 0755 'runlevels/boot'
maybe chmod 0755 'runlevels/default'
maybe chmod 0400 'ssl/postfix/server.pem'
maybe chmod 0700 'ssl/private'
maybe chmod 0644 'ssl/private/.keep_dev-libs_openssl-0'
+maybe chmod 0755 'ssl/rsyslog'
+maybe chmod 0644 'ssl/rsyslog/.keep_app-admin_rsyslog-0'
maybe chmod 0755 'stunnel'
maybe chmod 0755 'stunnel/old'
maybe chown 'stunnel' 'stunnel/old/stunnel.crt'
--- /dev/null
+# /etc/anacrontab: configuration file for anacron
+
+# See anacron(8) and anacrontab(5) for details.
+
+SHELL=/bin/sh
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+MAILTO=root
+# the maximal random delay added to the base delay of the jobs
+RANDOM_DELAY=45
+# the jobs will be started during the following hours only
+START_HOURS_RANGE=3-22
+
+#period in days delay in minutes job-identifier command
+1 5 cron.daily nice run-parts /etc/cron.daily
+7 25 cron.weekly nice run-parts /etc/cron.weekly
+@monthly 45 cron.monthly nice run-parts /etc/cron.monthly
--- /dev/null
+# Settings for the CRON daemon.
+# CRONDARGS= : any extra command-line startup arguments for crond
+CRONDARGS=
--- /dev/null
+# /etc/conf.d/rsyslog
+
+# Configuration file
+RSYSLOG_CONFIGFILE="/etc/rsyslog.conf"
+
+# PID file
+# If you should ever change this, remember to update
+# "/etc/logrotate.d/rsyslog", too.
+RSYSLOG_PIDFILE="/run/rsyslogd.pid"
+
+# You can use this configuration option to pass additional options to the
+# start-stop-daemon, see start-stop-daemon(8) for more details.
+# Per default we wait 1000ms after we have started the service to ensure
+# that the daemon is really up and running.
+RSYSLOG_SSDARGS="--wait 1000"
+
+# The termination timeout (start-stop-daemon parameter "retry") ensures
+# that the service will be terminated within a given time (60 + 5 seconds
+# per default) when you are stopping the service.
+# You need to increase the value when you are working with a large queue.
+# See http://www.rsyslog.com/doc/queues.html for further information.
+RSYSLOG_TERMTIMEOUT="TERM/60/KILL/5"
+
+
+# Options to rsyslogd
+# See rsyslogd(8) for more details
+# Notes:
+# * Do not specify another PIDFILE but use the variable above to change the location
+# * Do not specify another CONFIGFILE but use the variable above to change the location
+RSYSLOG_OPTS=""
--- /dev/null
+# $Id: vixie-cron-4.1-cron.deny,v 1.1 2005/03/04 23:59:48 ciaranm Exp $
+# If for any reason you have users in the 'cron' group who should not
+# be allowed to run crontab, add them to this file (one username per
+# line)
+
--- /dev/null
+# $Id: cronie-1.2-cron.deny,v 1.1 2009/02/17 22:09:35 bangert Exp $
+# If for any reason you have users in the 'cron' group who should not
+# be allowed to run crontab, add them to this file (one username per
+# line)
+
--- /dev/null
+# for vixie cron
+# $Header: /var/cvsroot/gentoo-x86/sys-process/vixie-cron/files/crontab-3.0.1-r4,v 1.3 2011/09/20 15:13:51 idl0r Exp $
+
+# Global variables
+SHELL=/bin/bash
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+MAILTO=root
+HOME=/
+
+# check scripts in cron.hourly, cron.daily, cron.weekly and cron.monthly
+59 * * * * root rm -f /var/spool/cron/lastrun/cron.hourly
+9 4 * * * root rm -f /var/spool/cron/lastrun/cron.daily
+19 5 * * 6 root rm -f /var/spool/cron/lastrun/cron.weekly
+29 6 1 * * root rm -f /var/spool/cron/lastrun/cron.monthly
+*/10 * * * * root test -x /usr/sbin/run-crons && /usr/sbin/run-crons
--- /dev/null
+# for cronie
+# $Header: /var/cvsroot/gentoo-x86/sys-process/cronie/files/cronie-1.3-crontab,v 1.2 2014/04/18 13:24:55 polynomial-c Exp $
+
+# Global variables
+SHELL=/bin/bash
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+MAILTO=root
+HOME=/
+
+# check scripts in cron.hourly, cron.daily, cron.weekly and cron.monthly
+# if anacron is not present
+59 * * * * root [ ! -x /etc/cron.hourly/0anacron ] && rm -f /var/spool/cron/lastrun/cron.hourly
+9 3 * * * root [ ! -x /etc/cron.hourly/0anacron ] && rm -f /var/spool/cron/lastrun/cron.daily
+19 4 * * 6 root [ ! -x /etc/cron.hourly/0anacron ] && rm -f /var/spool/cron/lastrun/cron.weekly
+29 5 1 * * root [ ! -x /etc/cron.hourly/0anacron ] && rm -f /var/spool/cron/lastrun/cron.monthly
+*/10 * * * * root [ ! -x /etc/cron.hourly/0anacron ] && { test -x /usr/sbin/run-crons && /usr/sbin/run-crons ; }
-# $Id: vixie-cron-4.1-cron.deny,v 1.1 2005/03/04 23:59:48 ciaranm Exp $
+# $Id: cronie-1.2-cron.deny,v 1.1 2009/02/17 22:09:35 bangert Exp $
# If for any reason you have users in the 'cron' group who should not
# be allowed to run crontab, add them to this file (one username per
# line)
--- /dev/null
+#!/bin/sh
+# Check whether 0anacron was run today already
+if test -r /var/spool/anacron/cron.daily; then
+ day=`cat /var/spool/anacron/cron.daily`
+fi
+if [ `date +%Y%m%d` = "$day" ]; then
+ exit 0;
+fi
+
+# Do not run jobs when on battery power
+if test -x /usr/bin/on_ac_power; then
+ /usr/bin/on_ac_power >/dev/null 2>&1
+ if test $? -eq 1; then
+ exit 0
+ fi
+fi
+/usr/sbin/anacron -s
-# for vixie cron
-# $Header: /var/cvsroot/gentoo-x86/sys-process/vixie-cron/files/crontab-3.0.1-r4,v 1.3 2011/09/20 15:13:51 idl0r Exp $
+# for cronie
+# $Header: /var/cvsroot/gentoo-x86/sys-process/cronie/files/cronie-1.3-crontab,v 1.2 2014/04/18 13:24:55 polynomial-c Exp $
# Global variables
SHELL=/bin/bash
HOME=/
# check scripts in cron.hourly, cron.daily, cron.weekly and cron.monthly
-59 * * * * root rm -f /var/spool/cron/lastrun/cron.hourly
-9 4 * * * root rm -f /var/spool/cron/lastrun/cron.daily
-19 5 * * 6 root rm -f /var/spool/cron/lastrun/cron.weekly
-29 6 1 * * root rm -f /var/spool/cron/lastrun/cron.monthly
-*/10 * * * * root test -x /usr/sbin/run-crons && /usr/sbin/run-crons
+# if anacron is not present
+59 * * * * root [ ! -x /etc/cron.hourly/0anacron ] && rm -f /var/spool/cron/lastrun/cron.hourly
+9 3 * * * root [ ! -x /etc/cron.hourly/0anacron ] && rm -f /var/spool/cron/lastrun/cron.daily
+19 4 * * 6 root [ ! -x /etc/cron.hourly/0anacron ] && rm -f /var/spool/cron/lastrun/cron.weekly
+29 5 1 * * root [ ! -x /etc/cron.hourly/0anacron ] && rm -f /var/spool/cron/lastrun/cron.monthly
+*/10 * * * * root [ ! -x /etc/cron.hourly/0anacron ] && { test -x /usr/sbin/run-crons && /usr/sbin/run-crons ; }
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sys-process/cronie/files/cronie-1.3-initd,v 1.3 2014/03/04 00:17:58 polynomial-c Exp $
+
+command="/usr/sbin/crond"
+command_args="${CRONDARGS}"
+pidfile="/var/run/crond.pid"
+
+depend() {
+ use clock logger
+ need localmount
+ provide cron
+}
--- /dev/null
+#!/sbin/runscript
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/rsyslog/files/8-stable/rsyslog.initd,v 1.1 2014/09/30 13:09:39 polynomial-c Exp $
+
+RSYSLOG_CONFIGFILE=${RSYSLOG_CONFIGFILE:-"/etc/rsyslog.conf"}
+RSYSLOG_PIDFILE=${RSYSLOG_PIDFILE:-"/run/rsyslogd.pid"}
+
+command="/usr/sbin/rsyslogd"
+command_args="${RSYSLOG_OPTS} -f ${RSYSLOG_CONFIGFILE} -i ${RSYSLOG_PIDFILE}"
+start_stop_daemon_args="${RSYSLOG_SSDARGS}"
+pidfile="${RSYSLOG_PIDFILE}"
+retry="${RSYSLOG_TERMTIMEOUT}"
+
+required_files="${RSYSLOG_CONFIGFILE}"
+
+description="RSYSLOG is the rocket-fast system for log processing (syslog replacement)."
+
+extra_commands="configtest"
+extra_started_commands="rotate"
+
+description_configtest="Run rsyslogd's internal config check."
+
+description_rotate="Sends rsyslogd a signal to re-open its log files."
+
+depend() {
+ need clock hostname localmount
+ provide logger
+}
+
+start_pre() {
+ if [ "${RC_CMD}" != "restart" ]; then
+ configtest || return 1
+ fi
+}
+
+stop_pre() {
+ if [ "${RC_CMD}" = "restart" ]; then
+ configtest || return 1
+ fi
+}
+
+stop_post() {
+ rm -f ${RSYSLOG_PIDFILE}
+}
+
+configtest() {
+ # This will currently only detect fatal errors
+ # See https://github.com/rsyslog/rsyslog/issues/79
+
+ local _test_command="${command} -N 999 -f ${RSYSLOG_CONFIGFILE}"
+ local _retval=0
+
+ ebegin "Checking rsyslogd's configuration"
+ ${_test_command} >/dev/null 2>&1
+ _retval=$?
+
+ if [ ${_retval} -ne 0 ]; then
+ ${_test_command}
+ fi
+
+ eend ${_retval} "failed, please correct errors above"
+}
+
+rotate() {
+ ebegin "Re-opening rsyslogd logs"
+ start-stop-daemon --signal SIGHUP --pidfile "${RSYSLOG_PIDFILE}"
+ eend $?
+}
+++ /dev/null
-#!/sbin/runscript
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/sys-process/vixie-cron/files/vixie-cron.rc7,v 1.1 2011/12/31 14:58:21 idl0r Exp $
-
-command=/usr/sbin/cron
-pidfile=/var/run/cron.pid
-
-depend() {
- use clock logger
- need localmount
- provide cron
-}
--- /dev/null
+# Uncomment the following directive if you have re-enabled
+# "/var/log/syslog" in "/etc/rsyslog.d/50-default.conf"
+#/var/log/syslog
+#{
+# rotate 7
+# daily
+# missingok
+# notifempty
+# delaycompress
+# compress
+# postrotate
+# test -r /run/rsyslogd.pid && kill -HUP $(cat /run/rsyslogd.pid) &>/dev/null
+# endscript
+#}
+
+/var/log/auth.log
+/var/log/cron.log
+/var/log/daemon.log
+/var/log/kern.log
+/var/log/lpr.log
+/var/log/mail.log
+/var/log/news.log
+/var/log/user.log
+/var/log/debug.log
+/var/log/messages
+{
+ rotate 4
+ weekly
+ missingok
+ notifempty
+ compress
+ delaycompress
+ sharedscripts
+ postrotate
+ test -r /run/rsyslogd.pid && kill -HUP $(cat /run/rsyslogd.pid) &>/dev/null
+ endscript
+}
+++ /dev/null
-#%PAM-1.0
-
-account required pam_unix.so
-
-auth required pam_unix.so
-
-session optional pam_limits.so
--- /dev/null
+#
+# The PAM configuration file for the cron daemon
+#
+#
+auth include system-auth
+account required pam_access.so
+account include system-auth
+session required pam_loginuid.so
+session include system-auth
~net-misc/ntp-4.2.8
-~net-nds/phpldapadmin-1.2.2
-~net-nds/phpldapadmin-1.2.3
-
+~net-libs/czmq-3.0.2
~net-libs/libnetfilter_log-1.0.1
~net-libs/libtirpc-0.2.5
+~net-nds/phpldapadmin-1.2.2
+~net-nds/phpldapadmin-1.2.3
+
~perl-core/CPAN-1.960.0
~perl-core/Devel-PPPort-3.19
~perl-core/Encode-2.40
+app-admin/rsyslog normalize omudpspoof relp rfc3195 rfc5424hmac usertools zeromq
app-admin/sysstat cron
app-admin/syslog-ng dbi spoof-source sql
app-admin/ulogd -doc nfacct
dev-libs/geoip city perl-geoipupdate static-libs
dev-libs/gmp pgo
dev-libs/libgcrypt idea
+dev-libs/liblogging rfc3195
dev-libs/libmemcached -doc tcmalloc
dev-libs/libusb -doc
dev-libs/nss utils
sys-fs/quota rpc
sys-fs/udev devfs-compat edd extras hwdb
+sys-process/cronie anacron
sys-process/lsof rpc
virtual/ffmpeg libav
--- /dev/null
+# /etc/rsyslog.conf
+#
+# This configuration is based on RainerScript, the new recommended syntax
+# for RSYSLOG. See http://www.rsyslog.com/doc/rainerscript.html for further
+# details.
+#
+# But if you don't want to learn something new at moment, don't worry: The
+# legacy syntax is still supported.
+#
+# You may want to use the new RSYSLOG configuration builder to create your
+# own more advanced configuration: http://www.rsyslog.com/rsyslog-configuration-builder/
+
+# Check config syntax on startup and abort if unclean (default: off)
+#$AbortOnUncleanConfig on
+
+
+###############
+### MODULES ###
+###############
+
+# Read syslog messages from default Unix socket /dev/log (e.g. via logger command)
+module(load="imuxsock")
+
+# Read messages from the kernel log and submits them to the syslog engine
+module(load="imklog")
+
+# Inject "--MARK--" messages every $Interval (seconds)
+#module(load="immark" Interval="600")
+
+# Read syslog messages from UDP
+#module(load="imudp")
+#input(type="imudp" port="514")
+
+# Read syslog messages from TCP
+#module(load="imtcp")
+#input(type="imtcp" port="514")
+
+
+#########################
+### GLOBAL DIRECTIVES ###
+#########################
+
+# Where to place spool and state files
+$WorkDirectory /var/spool/rsyslog
+
+# Reduce repeating messages (default: off)
+#$RepeatedMsgReduction on
+
+# Set defaults for every output file
+$Umask 0022
+
+module(
+ load="builtin:omfile"
+ Template="RSYSLOG_TraditionalFileFormat"
+ FileCreateMode="0644"
+ DirCreateMode="0755"
+)
+
+
+# Include all conf files in /etc/rsyslog.d/
+$IncludeConfig /etc/rsyslog.d/*.conf
--- /dev/null
+#######################
+### DEFAULT ACTIONS ###
+#######################
+
+auth,authpriv.* action(
+ type="omfile"
+ File="/var/log/auth.log"
+ FileCreateMode="0600"
+ FileOwner="root"
+ FileGroup="adm"
+ Sync="off"
+)
+
+cron.* action(
+ type="omfile"
+ File="/var/log/cron.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+daemon.* action(
+ type="omfile"
+ File="/var/log/daemon.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+kern.* action(
+ type="omfile"
+ File="/var/log/kern.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+lpr.* action(
+ type="omfile"
+ File="/var/log/lpr.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+mail.* action(
+ type="omfile"
+ File="/var/log/mail.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+news.* action(
+ type="omfile"
+ File="/var/log/news.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+user.* action(
+ type="omfile"
+ File="/var/log/user.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+*.=debug;auth,authpriv,news,mail.none action(
+ type="omfile"
+ File="/var/log/debug.log"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+*.info;auth,authpriv,cron,daemon,lpr,mail,news.none action(
+ type="omfile"
+ File="/var/log/messages"
+ FileOwner="root"
+ FileGroup="adm"
+)
+
+# Uncomment the following directive to re-enable the
+# deprecated "/var/log/syslog" log file (don't forget to re-enable log
+# rotation in "/etc/logrotate.d/rsyslog" if you do that!)
+#*.*;auth,authpriv.none action(
+# type="omfile"
+# File="/var/log/syslog"
+# FileOwner="root"
+# FileGroup="adm"
+#)
+
+*.emerg action(
+ type="omusrmsg"
+ Users="*"
+ action.execOnlyOnceEveryInterval="10"
+)
+
+# Create an additional socket for the default chroot location
+# (used by net-misc/openssh[hpn], see https://bugs.gentoo.org/490744)
+input(type="imuxsock" Socket="/var/empty/dev/log")
--- /dev/null
+/etc/init.d/cronie
\ No newline at end of file
+++ /dev/null
-/etc/init.d/vixie-cron
\ No newline at end of file
+++ /dev/null
-/etc/init.d/udev-mount
\ No newline at end of file